Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a specific payment batch from your account.
cURL
curl --request GET \ --url 'https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}?accountId={{accountId}}' \ --header 'Authorization: <api-key>'
import requests url = "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}" headers = {"Authorization": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}}; fetch('https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}") .header("Authorization", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "accountId": "string", "name": "string", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "person" }, "product": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "status": "draft", "visible": true, "visibleAt": "2019-08-24T14:15:22Z", "confirmedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "person" }, "confirmedAt": "2019-08-24T14:15:22Z", "passedMfaCheckAt": "2019-08-24T14:15:22Z", "riskCheckedAt": "2019-08-24T14:15:22Z", "ordersSentAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "alerts": [ { "timestamp": "2019-08-24T14:15:22Z", "type": "Error", "code": "string", "message": "string" } ], "ordersSummary": { "numberOfOrders": 0, "uniqueCurrencyCodes": [ "USD" ] }, "input": { "format": "json", "status": "accepted", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }
The unique ID of the Payment Batch.
36
The ID of the account to work with.
"F50091"
alertErrors
alertWarnings
ordersSummary
OK
The ID of the account the Payment Batch belongs.
16
The name of the Payment Batch.
256
The creator of the payment batch.
Show child attributes
The status of the Payment Batch.
draft
validated
confirmed
started
completed
failed
cancelled
Whether the payment batch is visible to other API users
Timestamp indicating when the payment batch was made visible. UTC.
The initiator of the payment batch.
Timestamp indicating when the payment batch was confirmed. UTC.
Timestamp indicating when the payment batch passed MFA check. UTC.
Timestamp indicating when the payment batch was risk checked. UTC.
Timestamp indicating when the orders were sent. UTC.
Timestamp indicating when the payment batch was created. UTC.
Timestamp indicating when the payment batch was updated. UTC.
Was this page helpful?